Skip to Content
APIsPayment MethodsBank Accounts

Bank Accounts

Bank accout API

Introduction

The Bank Accounts API provides developers with functionality to manage and retrieve information related to bank accounts with their accounts.

  • Bank Accounts:
    • Retrieve a comprehensive list of bank accounts associated with a given API key.
    • Access specific bank account details by querying with the bank account ID.
    • Create new bank accounts by providing essential details in the request body.
    • Deletes a specific bank account by providing the bank account ID.

Post Bank Account

POSThttps://api.adesic.com/v2/transactions/payment-methods

Create a new US bank account by providing the necessary account details. Upon a successful request, it returns a 201 status code along with the details of the created bank account.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Request Body

NameTypeDescription
bankAccount*objectBank account details.
bankAccount.achAccountNumber*stringACH account number.
bankAccount.achRoutingNumber*stringACH routing number. Must be exactly 9 numbers.
bankAccount.wireAccountNumber*stringWire account number.
bankAccount.wireRoutingNumber*stringWire routing number. Must be exactly 9 numbers.
bankAccount.rtpAccountNumberstringRTP account number. Required only when bankAccount.rtpRoutingNumber is provided.
bankAccount.rtpRoutingNumberstringRTP routing number. Required only when bankAccount.rtpAccountNumber is provided. Must be exactly 9 numbers.
bankAccount.typestringBank account type. One of CHECKING, SAVINGS, BUSINESS_CHECKING, or BUSINESS_SAVINGS.
bankAccount.fiatCurrencystringFiat currency. Must be USD when provided.
bankAccount.billingDetails*objectCustomer’s billing details.
bankAccount.billingDetails.city*stringCity in the billing address.
bankAccount.billingDetails.country*stringCountry in the billing address. Use US, USA, or UNITED_STATES.
bankAccount.billingDetails.line1*stringAddress line 1 in the billing address.
bankAccount.billingDetails.line2stringAddress line 2 in the billing address.
bankAccount.billingDetails.province*stringTwo-letter US state or subdivision code.
bankAccount.billingDetails.fullName*stringFull name of the billing contact.
bankAccount.billingDetails.phonestringPhone number of the billing contact.
bankAccount.billingDetails.zip*stringFive-digit ZIP code in the billing address.

Response

{ "id": "bac-123456788", "achRoutingNumber": "021000021", "wireRoutingNumber": "021000021", "achAccountNumber": "67890", "wireAccountNumber": "67890", "bankName": "Bank of America", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "userId": "usr-123456788", "fiatCurrency": "USD", "bankAddress": { "city": "ORLANDO", "country": "UNITED_STATES", "line1": "1123 PROMANADE ST", "line2": null, "province": "FL", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781" }, "billingDetails": { "city": "BOSTON", "country": "UNITED_STATES", "line1": "342 MAIN ST", "line2": "SUITE 100", "province": "MA", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "fullName": "GAVIN BELSON", "phone": "1112223333", "zip": "02142" } }

Get Bank Accounts

GEThttps://api.adesic.com/v2/transactions/payment-methods

Retrieves all bank accounts associated with the provided API key. Upon a successful request, it returns a 200 status code and a list of bank accounts.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Response

[{ "id": "bac-123456788", "achRoutingNumber": "021000021", "wireRoutingNumber": "021000021", "achAccountNumber": "67890", "wireAccountNumber": "67890", "bankName": "Bank of America", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "userId": "usr-123456788", "fiatCurrency": "USD", "bankAddress": { "city": "ORLANDO", "country": "UNITED_STATES", "line1": "1123 PROMANADE ST", "line2": null, "province": "FL", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781" }, "billingDetails": { "city": "BOSTON", "country": "UNITED_STATES", "line1": "342 MAIN ST", "line2": "SUITE 100", "province": "MA", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "fullName": "GAVIN BELSON", "phone": "1112223333", "zip": "02142" } }]

Get Bank Account by ID

GEThttps://api.adesic.com/v2/transactions/payment-methods/{bankAccountId}

Retrieves the details of a specific bank account using its unique bank account ID. Upon a successful request, it returns a 200 status code and the details of the requested bank account.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Query Parameters

NameTypeDescription
bankAccountId*stringBank Account Id

Response

{ "id": "bac-123456788", "achRoutingNumber": "021000021", "wireRoutingNumber": "021000021", "achAccountNumber": "67890", "wireAccountNumber": "67890", "bankName": "Bank of America", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "userId": "usr-123456788", "fiatCurrency": "USD", "bankAddress": { "city": "ORLANDO", "country": "UNITED_STATES", "line1": "1123 PROMANADE ST", "line2": null, "province": "FL", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781" }, "billingDetails": { "city": "BOSTON", "country": "UNITED_STATES", "line1": "342 MAIN ST", "line2": "SUITE 100", "province": "MA", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "fullName": "GAVIN BELSON", "phone": "1112223333", "zip": "02142" } }

Delete Bank Account

DELETEhttps://api.adesic.com/v2/transactions/payment-methods/{bankAccountId}

Deletes a specified bank account using its unique bank account ID. Upon a successful request, it returns a 204 status code indicating that the bank account has been deleted.

Headers

NameTypeDescription
apiKey*stringYour Adesic API Key

Query Parameters

NameTypeDescription
bankAccountId*stringBank Account Id

Response

No Content

Copy & Paste Code

POST Bank Accounts

post_bank_account.sh
curl -X POST \ -H "Content-Type: application/json" \ -H "api-key: your-api-key" \ -d '{ "bankAccount": { "achAccountNumber": "67555234890", "achRoutingNumber": "021000021", "wireAccountNumber": "67555234890", "wireRoutingNumber": "021000021", "type": "CHECKING", "fiatCurrency": "USD", "billingDetails": { "city": "Boston", "country": "US", "line1": "123 Bill Me Dr", "province": "MA", "fullName": "Frank Tester", "phone": "123345456", "zip": "02110" } } }' \ https://api.adesic.com/v2/transactions/payment-methods

GET Bank Accounts

get_bank_accounts.sh
curl -H "api-key: YOUR_API_KEY" "https://api.adesic.com/v2/transactions/payment-methods"

Bank Accounts Response Object

Example URL: https://api.adesic.com/v2/transactions/payment-methods 

{ "id": "bac-123456788", "achRoutingNumber": "021000021", "wireRoutingNumber": "021000021", "achAccountNumber": "67890", "wireAccountNumber": "67890", "bankName": "Bank of America", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "userId": "usr-123456788", "fiatCurrency": "USD", "bankAddress": { "city": "ORLANDO", "country": "UNITED_STATES", "line1": "1123 PROMANADE ST", "line2": null, "province": "FL", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781" }, "billingDetails": { "city": "BOSTON", "country": "UNITED_STATES", "line1": "342 MAIN ST", "line2": "SUITE 100", "province": "MA", "createdAt": "2024-07-23T14:04:28.788", "updatedAt": "2024-07-23T14:04:28.781", "fullName": "GAVIN BELSON", "phone": "1112223333", "zip": "02142" } }

Bank Accounts Response Attributes

Attribute NameTypeDescription
idstringUnique bank account id.
achRoutingNumberstringACH routing number.
achAccountNumberstringACH account number.
wireRoutingNumberstringWire routing number.
wireAccountNumberstringWire account number.
rtpRoutingNumberstringRTP routing number, when configured.
rtpAccountNumberstringRTP account number, when configured.
bankNamestringThe bank name.
createdAtstringThe timestamp the bank account was created at.
updatedAtstringThe timestamp the bank account was updated at.
userIdstringUnique user id.
fiatCurrencystringFiat currency for the bank account.
bankAddressobjectCustomer’s bank details.
bankAddress.citystringCity where the bank is located.
bankAddress.countrystringCountry where the bank is located.
bankAddress.line1stringAddress line 1 of the bank.
bankAddress.line2stringAddress line 2 of the bank.
bankAddress.provincestringProvince or state where the bank is located.
billingDetailsobjectCustomer’s billing details.
billingDetails.citystringCity in the billing address.
billingDetails.countrystringCountry in the billing address.
billingDetails.line1stringAddress line 1 in the billing address.
billingDetails.line2stringAddress line 2 in the billing address.
billingDetails.provincestringProvince or state in the billing address.
billingDetails.fullNamestringFull name of the billing contact.
billingDetails.phonestringPhone number of the billing contact.
billingDetails.zipstringZIP code in the billing address.

© Adesic LLC. All Rights Reserved